﻿<%@ control language="C#" autoeventwireup="true" inherits="ApplicationSelector, ResourceBlender.NET-Compiled" %>
<fieldset>
    <legend><asp:Literal runat="server" Text="<%$ Resources:UIStrings, SelectComponents %>" /></legend>
    <div class="formrow block threecol">
        <asp:UpdatePanel ID="updRadApplication" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <div class="formcol">
                    <asp:Label runat="server" CssClass="block" Text="<%$ Resources:UIStrings, Application %>" AssociatedControlID="radApplication" />
                    <asp:RadioButtonList ID="radApplication" runat="server" RepeatLayout="Flow" 
                        OnSelectedIndexChanged="ShowLanguages"
                        AutoPostBack="True" CssClass="checks applicationChecks plain"></asp:RadioButtonList>
                </div>
                <div class="formcol">
                    <asp:Label ID="lblBundleName" runat="server" CssClass="block" Text="<%$ Resources:UIStrings, Bundles %>" AssociatedControlID="lstBundles" />
                    <asp:ListBox ID="lstBundles" runat="server" SelectionMode="Multiple" 
                        Rows="10" Width="100%"></asp:ListBox>
                </div>
                <div class="formcol">
                    <asp:Label runat="server" CssClass="block" Text="<%$ Resources:UIStrings, Languages %>" AssociatedControlID="lstLanguages" />
                    <asp:ListBox ID="lstLanguages" runat="server" SelectionMode="Multiple" 
                        Rows="10" Width="100%"></asp:ListBox>
                </div>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="radApplication" 
                    EventName="SelectedIndexChanged" />
            </Triggers>
        </asp:UpdatePanel>
        <asp:UpdateProgress ID="prgRadApplication" runat="server" 
            AssociatedUpdatePanelID="updRadApplication" 
            DisplayAfter="100">
            <ProgressTemplate>
                <div class="centered"><asp:Image ID="imgLoadingLanguages" runat="server" ImageUrl="~/images/ajax-loader.gif" AlternateText="<%$ Resources:UIStrings, Loading %>" /></div>
            </ProgressTemplate>
        </asp:UpdateProgress>
    </div>
    <div class="clear">&nbsp;</div>
    <asp:Button ID="btnRefresh" runat="server" Text="<%$ Resources:UIStrings, RefreshBundlesLanguages %>"
         OnClick="ShowLanguages" CssClass="uniformbutton doublewidth btnGo" />
</fieldset>