﻿<%@ control language="C#" autoeventwireup="true" inherits="DatabaseSelector, ResourceBlender.NET-Compiled" %>
<div class="formrow block">
    <asp:Label ID="lblDBMode" runat="server" AssociatedControlID="radDBMode" 
        Text="<%$ Resources:UIStrings, DatabaseType %>"></asp:Label>
    <br />
    <asp:RadioButtonList ID="radDBMode" runat="server" CssClass="checks" 
        OnSelectedIndexChanged="radDBMode_SelectedIndexChanged" AutoPostBack="True">
    </asp:RadioButtonList>
    <asp:RequiredFieldValidator ID="vldDBMode" runat="server" 
        ControlToValidate="radDBMode" Display="Dynamic" 
        ErrorMessage="<%$ Resources:Errors, DatabaseTypeRequired %>" 
        CssClass="validationerror block"></asp:RequiredFieldValidator>
</div>
<div class="formrow block">
    <asp:Label ID="lblTablePrefix" runat="server" AssociatedControlID="txtTablePrefix" 
        Text="<%$ Resources:UIStrings, TablePrefix %>"  />
    <asp:TextBox ID="txtTablePrefix" runat="server" />
</div>
<fieldset>
    <legend><asp:Literal ID="litDatabaseDetails" runat="server" Text="<%$ Resources:UIStrings, DatabaseServerDetails %>" /></legend>
    <div class="formrow block">
        <asp:Label ID="lblDBHost" runat="server" AssociatedControlID="txtDBHost" 
            Text="<%$ Resources:UIStrings, Host %>"></asp:Label>
        <asp:TextBox ID="txtDBHost" runat="server"></asp:TextBox>
        <asp:Label ID="lblErrDBHost" runat="server" CssClass="block error" Visible="false"
            Text="<%$ Resources:Errors, DatabaseHostnameRequired %>" />
    </div>
    <div class="formrow block">
        <asp:Label ID="lblDBPort" runat="server" AssociatedControlID="txtDBPort" 
            Text="<%$ Resources:UIStrings, Port %>"></asp:Label>
        <asp:TextBox ID="txtDBPort" runat="server"></asp:TextBox>
        <asp:RegularExpressionValidator ID="vldDBPort" runat="server" 
            ErrorMessage="<%$ Resources:Errors, DatabasePortRequired %>" ControlToValidate="txtDBPort"
            CssClass="validationerror block" ValidationExpression="\d+" 
            SetFocusOnError="True" Display="Dynamic"></asp:RegularExpressionValidator>
        <asp:Label ID="lblErrDBPort" runat="server" CssClass="block error" Visible="false"
            Text="<%$ Resources:Errors, DatabasePortRequired %>" />
    </div>
    <div class="formrow block">
        <asp:Label ID="lblDBUser" runat="server" AssociatedControlID="txtDBUser" 
            Text="<%$ Resources:UIStrings, UserName %>"></asp:Label>
        <asp:TextBox ID="txtDBUser" runat="server"></asp:TextBox>
        <asp:Label ID="lblErrDBUser" runat="server" CssClass="block error" Visible="false"
            Text="<%$ Resources:Errors, DatabaseUsernameRequired %>" />
    </div>
    <div class="formrow block">
        <asp:Label ID="lblDBPassword" runat="server" AssociatedControlID="txtDBPassword" 
            Text="<%$ Resources:UIStrings, Password %>"></asp:Label>
        <asp:TextBox ID="txtDBPassword" runat="server" TextMode="Password"></asp:TextBox>
    </div>
    <div class="formrow block">
        <asp:Label ID="lblDBDatabase" runat="server" AssociatedControlID="txtDBDatabase" 
            Text="<%$ Resources:UIStrings, DatabaseName %>"></asp:Label>
        <asp:TextBox ID="txtDBDatabase" runat="server" CssClass="block"></asp:TextBox>
        <asp:Label ID="lblErrDBDatabase" runat="server" CssClass="block error" Visible="false"
            Text="<%$ Resources:Errors, DatabaseNameRequired %>" />
    </div>
</fieldset>
<asp:Label ID="lblConnectionDetailsType" runat="server" Text="<%$ Resources:UIStrings, AlternativeConnectionString %>" />
<fieldset>
    <legend><asp:Literal ID="litConnectionString" runat="server" Text="<%$ Resources:UIStrings, ConnectionString %>" /></legend>
    <asp:Label ID="lblConnectionString" runat="server" AssociatedControlID="txtConnectionString" 
            Text="<%$ Resources:UIStrings, ConnectionStringInfo %>" CssClass="plain autowidth block" />
        <asp:TextBox ID="txtConnectionString" runat="server" CssClass="wide" />
</fieldset>